Skip to content

Add a note to a lead

POST
/leads/{id}/notes
curl --request POST \
--url https://app.whatsetter.com/api/v1/leads/example/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "text": "Wants a call after the 25th, budget confirmed." }'

Writes a note entry in the lead’s journal, shown in the dashboard’s timeline with API · <key name> as its author. 1 to 2000 characters. Requires scope leads:write.

id
required
string
Media typeapplication/json
object
text
required
string
>= 1 characters <= 2000 characters
Example
{
"text": "Wants a call after the 25th, budget confirmed."
}

The note

Media typeapplication/json
object
data
object
id
string
text
string
author

The person’s name, or API · <key name> for notes written with a key.

string | null
created_at
string format: date-time
Example
{
"data": {
"id": "68ed11aa22bb33cc44dd55ee",
"text": "Wants a call after the 25th, budget confirmed.",
"author": "API · HubSpot sync",
"created_at": "2026-09-19T08:14:02.000Z"
}
}

Missing, unknown or revoked API key

Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example"
}
}

Resource not found in this workspace

Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example"
}
}

Empty or too long

Media typeapplication/json
object
error
object
code
string
message
string
Example
{
"error": {
"code": "validation_error",
"message": "\"text\" is required (1 to 2000 characters)."
}
}